"use strict";

var _ChatConfigurations = require("./ChatConfigurations");
var _initialChatConfigurations = require("../constants/initialChatConfigurations");
const configurations = new _ChatConfigurations.ChatConfigurations(_initialChatConfigurations.initialConfigs.title, _initialChatConfigurations.initialConfigs.poweredBy, _initialChatConfigurations.initialConfigs.poweredByUrl, _initialChatConfigurations.initialConfigs.settings);
describe('ChatConfigurations test suite', () => {
  it('should create configurations object with initial data', () => {
    var _configurations$setti, _initialConfigs$setti, _configurations$setti2, _initialConfigs$setti2, _configurations$setti3, _initialConfigs$setti3, _configurations$setti4, _initialConfigs$setti4;
    expect(configurations.isOpen).toBeFalsy();
    expect(configurations.title).toBe(_initialChatConfigurations.initialConfigs.title);
    expect(configurations.poweredBy).toBe(_initialChatConfigurations.initialConfigs.poweredBy);
    expect(configurations.poweredByUrl).toBe(_initialChatConfigurations.initialConfigs.poweredByUrl);
    expect(configurations === null || configurations === void 0 ? void 0 : (_configurations$setti = configurations.settings) === null || _configurations$setti === void 0 ? void 0 : _configurations$setti.mainColor).toBe(_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti === void 0 ? void 0 : _initialConfigs$setti.mainColor);
    expect(configurations === null || configurations === void 0 ? void 0 : (_configurations$setti2 = configurations.settings) === null || _configurations$setti2 === void 0 ? void 0 : _configurations$setti2.secondaryColor).toBe(_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti2 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti2 === void 0 ? void 0 : _initialConfigs$setti2.secondaryColor);
    expect(configurations === null || configurations === void 0 ? void 0 : (_configurations$setti3 = configurations.settings) === null || _configurations$setti3 === void 0 ? void 0 : _configurations$setti3.mainTextColor).toBe(_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti3 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti3 === void 0 ? void 0 : _initialConfigs$setti3.mainTextColor);
    expect(configurations === null || configurations === void 0 ? void 0 : (_configurations$setti4 = configurations.settings) === null || _configurations$setti4 === void 0 ? void 0 : _configurations$setti4.secondaryTextColor).toBe(_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti4 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti4 === void 0 ? void 0 : _initialConfigs$setti4.secondaryTextColor);
  });
  it('should toggle the chat open', () => {
    configurations.toggleIsOpen();
    expect(configurations.isOpen).toBeTruthy();
    configurations.toggleIsOpen();
    expect(configurations.isOpen).toBeFalsy();
  });
  it('should open the chat', () => {
    configurations.open();
    expect(configurations.isOpen).toBeTruthy();
  });
  it('should close the chat', () => {
    configurations.close();
    expect(configurations.isOpen).toBeFalsy();
  });
});
//# sourceMappingURL=ChatConfigurations.spec.js.map