"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatConfigurationsHttpGateway = void 0;
var _channel = require("../constants/channel");
var _initialChatConfigurations = require("../constants/initialChatConfigurations");
class ChatConfigurationsHttpGateway {
  constructor(httpAdapter) {
    this.httpAdapter = httpAdapter;
  }
  _treatStyles(apiResponse, appearance) {
    const [activeChannel] = apiResponse.channels.filter(ch => {
      var _ch$channelId, _ch$channelId$toLower;
      return (ch === null || ch === void 0 ? void 0 : (_ch$channelId = ch.channelId) === null || _ch$channelId === void 0 ? void 0 : (_ch$channelId$toLower = _ch$channelId.toLowerCase) === null || _ch$channelId$toLower === void 0 ? void 0 : _ch$channelId$toLower.call(_ch$channelId)) === _channel.channel;
    });
    if (activeChannel) {
      var _activeChannel$settin, _appearance$settings, _activeChannel$settin2, _initialConfigs$setti, _appearance$settings2, _activeChannel$settin3, _initialConfigs$setti2, _appearance$settings3, _activeChannel$settin4, _initialConfigs$setti3, _appearance$settings4, _activeChannel$settin5, _initialConfigs$setti4, _appearance$settings5, _activeChannel$settin6, _initialConfigs$setti5;
      return {
        title: (appearance === null || appearance === void 0 ? void 0 : appearance.title) || (activeChannel === null || activeChannel === void 0 ? void 0 : (_activeChannel$settin = activeChannel.settings) === null || _activeChannel$settin === void 0 ? void 0 : _activeChannel$settin.headerName) || _initialChatConfigurations.initialConfigs.title,
        poweredBy: activeChannel.poweredBy || _initialChatConfigurations.initialConfigs.poweredBy,
        poweredByUrl: activeChannel.poweredByUrl || _initialChatConfigurations.initialConfigs.poweredByUrl,
        settings: {
          botFab: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings = appearance.settings) === null || _appearance$settings === void 0 ? void 0 : _appearance$settings.botFab) || (activeChannel === null || activeChannel === void 0 ? void 0 : (_activeChannel$settin2 = activeChannel.settings) === null || _activeChannel$settin2 === void 0 ? void 0 : _activeChannel$settin2.botFab) || (_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti === void 0 ? void 0 : _initialConfigs$setti.botFab),
          mainColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings2 = appearance.settings) === null || _appearance$settings2 === void 0 ? void 0 : _appearance$settings2.mainColor) || (activeChannel === null || activeChannel === void 0 ? void 0 : (_activeChannel$settin3 = activeChannel.settings) === null || _activeChannel$settin3 === void 0 ? void 0 : _activeChannel$settin3.mainColor) || (_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti2 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti2 === void 0 ? void 0 : _initialConfigs$setti2.mainColor),
          secondaryColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings3 = appearance.settings) === null || _appearance$settings3 === void 0 ? void 0 : _appearance$settings3.secondaryColor) || (activeChannel === null || activeChannel === void 0 ? void 0 : (_activeChannel$settin4 = activeChannel.settings) === null || _activeChannel$settin4 === void 0 ? void 0 : _activeChannel$settin4.secondaryColor) || (_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti3 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti3 === void 0 ? void 0 : _initialConfigs$setti3.secondaryColor),
          mainTextColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings4 = appearance.settings) === null || _appearance$settings4 === void 0 ? void 0 : _appearance$settings4.mainTextColor) || (activeChannel === null || activeChannel === void 0 ? void 0 : (_activeChannel$settin5 = activeChannel.settings) === null || _activeChannel$settin5 === void 0 ? void 0 : _activeChannel$settin5.mainTextColor) || (_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti4 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti4 === void 0 ? void 0 : _initialConfigs$setti4.mainTextColor),
          secondaryTextColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings5 = appearance.settings) === null || _appearance$settings5 === void 0 ? void 0 : _appearance$settings5.secondaryTextColor) || (activeChannel === null || activeChannel === void 0 ? void 0 : (_activeChannel$settin6 = activeChannel.settings) === null || _activeChannel$settin6 === void 0 ? void 0 : _activeChannel$settin6.secondaryTextColor) || (_initialChatConfigurations.initialConfigs === null || _initialChatConfigurations.initialConfigs === void 0 ? void 0 : (_initialConfigs$setti5 = _initialChatConfigurations.initialConfigs.settings) === null || _initialConfigs$setti5 === void 0 ? void 0 : _initialConfigs$setti5.secondaryTextColor)
        }
      };
    } else {
      return _initialChatConfigurations.initialConfigs;
    }
  }
  async getStyles(botId, appearance) {
    const styles = await this.httpAdapter.get(`/${botId}`);
    if (styles) {
      return this._treatStyles(styles, appearance);
    }
    return _initialChatConfigurations.initialConfigs;
  }
}
exports.ChatConfigurationsHttpGateway = ChatConfigurationsHttpGateway;
//# sourceMappingURL=ChatConfigurationsHttpGateway.js.map