import React from 'react';
import { View, StyleSheet } from 'react-native';
import { From, MessageTypes } from '../../../../../types/message';
import MessageHour from '../components/MessageHour';
import { MessageStatusWrapper } from '../components/MessageStatus';
export default (MessageComponent => {
  const MessageWrapper = props => {
    var _props$settings, _props$settings2;
    const styles = StyleSheet.create({
      container: {
        borderTopRightRadius: 16,
        borderTopStartRadius: 16,
        maxWidth: 290,
        minWidth: 80,
        padding: 16,
        paddingBottom: 0
      },
      bot: {
        backgroundColor: props === null || props === void 0 ? void 0 : (_props$settings = props.settings) === null || _props$settings === void 0 ? void 0 : _props$settings.secondaryColor,
        alignSelf: 'flex-start',
        borderBottomEndRadius: 16,
        borderBottomStartRadius: 4
      },
      user: {
        backgroundColor: props === null || props === void 0 ? void 0 : (_props$settings2 = props.settings) === null || _props$settings2 === void 0 ? void 0 : _props$settings2.mainColor,
        alignSelf: 'flex-end',
        borderBottomEndRadius: 4,
        borderBottomStartRadius: 16
      }
    });
    const ballonStyle = props.message.from === From.BOT ? styles.bot : styles.user;
    return /*#__PURE__*/React.createElement(MessageStatusWrapper, {
      type: props.message.type,
      from: props.message.from,
      status: props.message.status || 'sent'
    }, /*#__PURE__*/React.createElement(View, {
      style: [styles.container, ballonStyle]
    }, /*#__PURE__*/React.createElement(MessageComponent, props), props.message.type !== MessageTypes.TYPING && /*#__PURE__*/React.createElement(MessageHour, {
      msg: props.message
    })));
  };
  return MessageWrapper;
});
//# sourceMappingURL=wrapMessage.js.map